package org.jboss.cache;

import org.jboss.cache.transaction.DummyTransactionManager;

import javax.transaction.TransactionManager;


/**
 * Returns an instance of DummyTransactionManager, used by standalone cache.
 *
 * @author Bela Ban Sept 5 2003
 * @version $Id: DummyTransactionManagerLookup.java,v 1.1.1.1 2005/03/31 10:14:59 belaban Exp $
 */
public class DummyTransactionManagerLookup implements TransactionManagerLookup {

   public TransactionManager getTransactionManager() throws Exception {
      return DummyTransactionManager.getInstance();
   }
}
